#ifndef __ico_dicom_Tag_hpp__
#define __ico_dicom_Tag_hpp__

namespace ico { namespace dicom {

class Tag {
	friend class DicomMap;
public:
	static const Tag CommandGroupLength;
	static const Tag AffectedSOPClassUID;
	static const Tag RequestedSOPClassUID;
	static const Tag CommandField;
	static const Tag MessageID;
	static const Tag MessageIDBeingRespondedTo;
	static const Tag MoveDestination;
	static const Tag Priority;
	static const Tag DataSetType;
	static const Tag Status;
	static const Tag OffendingElement;
	static const Tag ErrorComment;
	static const Tag ErrorID;
	static const Tag AffectedSOPInstanceUID;
	static const Tag RequestedSOPInstanceUID;
	static const Tag EventTypeID;
	static const Tag AttributeIdentifierList;
	static const Tag ActionTypeID;
	static const Tag NumberOfRemainingSuboperations;
	static const Tag NumberOfCompletedSuboperations;
	static const Tag NumberOfFailedSuboperations;
	static const Tag NumberOfWarningSuboperations;
	static const Tag MoveOriginatorApplicationEntityTitle;
	static const Tag MoveOriginatorMessageID;
	static const Tag MetaElementGroupLength;
	static const Tag FileMetaInformationVersion;
	static const Tag MediaStorageSOPClassUID;
	static const Tag MediaStorageSOPInstanceUID;
	static const Tag TransferSyntaxUID;
	static const Tag ImplementationClassUID;
	static const Tag ImplementationVersionName;
	static const Tag SourceApplicationEntityTitle;
	static const Tag PrivateInformationCreatorUID;
	static const Tag PrivateInformation;
	static const Tag FileSetGroupLength;
	static const Tag FileSetID;
	static const Tag FileSetDescriptorFileID;
	static const Tag SpecificCharacterSetOfFileSetDescriptorFile;
	static const Tag OffsetOfTheFirstDirectoryRecordOfTheRootDirectoryEntity;
	static const Tag OffsetOfTheLastDirectoryRecordOfTheRootDirectoryEntity;
	static const Tag FileSetConsistencyFlag;
	static const Tag DirectoryRecordSequence;
	static const Tag OffsetOfTheNextDirectoryRecord;
	static const Tag RecordInUseFlag;
	static const Tag OffsetOfReferencedLowerLevelDirectoryEntity;
	static const Tag DirectoryRecordType;
	static const Tag PrivateRecordUID;
	static const Tag ReferencedFileID;
	static const Tag MRDRDirectoryRecordOffset;
	static const Tag ReferencedSOPClassUIDInFile;
	static const Tag ReferencedSOPInstanceUIDInFile;
	static const Tag ReferencedTransferSyntaxUIDInFile;
	static const Tag NumberOfReferences;
	static const Tag IdentifyingGroupLength;
	static const Tag SpecificCharacterSet;
	static const Tag ImageType;
	static const Tag InstanceCreationDate;
	static const Tag InstanceCreationTime;
	static const Tag InstanceCreatorUID;
	static const Tag SOPClassUID;
	static const Tag SOPInstanceUID;
	static const Tag StudyDate;
	static const Tag SeriesDate;
	static const Tag AcquisitionDate;
	static const Tag ContentDate;
	static const Tag OverlayDate;
	static const Tag CurveDate;
	static const Tag AcquisitionDatetime;
	static const Tag StudyTime;
	static const Tag SeriesTime;
	static const Tag AcquisitionTime;
	static const Tag ContentTime;
	static const Tag OverlayTime;
	static const Tag CurveTime;
	static const Tag AccessionNumber;
	static const Tag QueryRetrieveLevel;
	static const Tag RetrieveAETitle;
	static const Tag InstanceAvailability;
	static const Tag FailedSOPInstanceUIDList;
	static const Tag Modality;
	static const Tag ModalitiesInStudy;
	static const Tag ConversionType;
	static const Tag PresentationIntentType;
	static const Tag Manufacturer;
	static const Tag InstitutionName;
	static const Tag InstitutionAddress;
	static const Tag InstitutionCodeSequence;
	static const Tag ReferringPhysiciansName;
	static const Tag ReferringPhysiciansAddress;
	static const Tag ReferringPhysiciansTelephoneNumbers;
	static const Tag CodeValue;
	static const Tag CodingSchemeDesignator;
	static const Tag CodingSchemeVersion;
	static const Tag CodeMeaning;
	static const Tag MappingResource;
	static const Tag ContextGroupVersion;
	static const Tag ContextGroupLocalVersion;
	static const Tag CodeSetExtensionFlag;
	static const Tag PrivateCodingSchemeCreatorUID;
	static const Tag CodeSetExtensionCreatorUID;
	static const Tag ContextIdentifier;
	static const Tag TimezoneOffsetFromUTC;
	static const Tag StationName;
	static const Tag StudyDescription;
	static const Tag ProcedureCodeSequence;
	static const Tag SeriesDescription;
	static const Tag InstitutionalDepartmentName;
	static const Tag PhysiciansOfRecord;
	static const Tag PerformingPhysiciansName;
	static const Tag NameOfPhysiciansReadingStudy;
	static const Tag OperatorsName;
	static const Tag AdmittingDiagnosesDescription;
	static const Tag AdmittingDiagnosesCodeSequence;
	static const Tag ManufacturersModelName;
	static const Tag ReferencedResultsSequence;
	static const Tag ReferencedStudySequence;
	static const Tag ReferencedSeriesSequence;
	static const Tag ReferencedPatientSequence;
	static const Tag ReferencedVisitSequence;
	static const Tag ReferencedOverlaySequence;
	static const Tag ReferencedWaveformSequence;
	static const Tag ReferencedImageSequence;
	static const Tag ReferencedCurveSequence;
	static const Tag ReferencedInstanceSequence;
	static const Tag ReferencedSOPClassUID;
	static const Tag ReferencedSOPInstanceUID;
	static const Tag SOPClassesSupported;
	static const Tag ReferencedFrameNumber;
	static const Tag TransactionUID;
	static const Tag FailureReason;
	static const Tag FailedSOPSequence;
	static const Tag ReferencedSOPSequence;
	static const Tag DerivationDescription;
	static const Tag SourceImageSequence;
	static const Tag StageName;
	static const Tag StageNumber;
	static const Tag NumberOfStages;
	static const Tag ViewName;
	static const Tag ViewNumber;
	static const Tag NumberOfEventTimers;
	static const Tag NumberOfViewsInStage;
	static const Tag EventElapsedTimes;
	static const Tag EventTimerNames;
	static const Tag StartTrim;
	static const Tag StopTrim;
	static const Tag RecommendedDisplayFrameRate;
	static const Tag AnatomicRegionSequence;
	static const Tag AnatomicRegionModifierSequence;
	static const Tag PrimaryAnatomicStructureSequence;
	static const Tag AnatomicStructureSpaceOrRegionSequence;
	static const Tag PrimaryAnatomicStructureModifierSequence;
	static const Tag TransducerPositionSequence;
	static const Tag TransducerPositionModifierSequence;
	static const Tag TransducerOrientationSequence;
	static const Tag TransducerOrientationModifierSequence;
	static const Tag PatientGroupLength;
	static const Tag PatientsName;
	static const Tag PatientID;
	static const Tag IssuerOfPatientID;
	static const Tag PatientsBirthDate;
	static const Tag PatientsBirthTime;
	static const Tag PatientsSex;
	static const Tag PatientsInsurancePlanCodeSequence;
	static const Tag PatientsPrimaryLanguageCodeSequence;
	static const Tag PatientsPrimaryLanguageCodeModifierSequence;
	static const Tag OtherPatientIDs;
	static const Tag OtherPatientNames;
	static const Tag PatientsBirthName;
	static const Tag PatientsAge;
	static const Tag PatientsSize;
	static const Tag PatientsWeight;
	static const Tag PatientsAddress;
	static const Tag PatientsMothersBirthName;
	static const Tag MilitaryRank;
	static const Tag BranchOfService;
	static const Tag MedicalRecordLocator;
	static const Tag MedicalAlerts;
	static const Tag ContrastAllergies;
	static const Tag CountryOfResidence;
	static const Tag RegionOfResidence;
	static const Tag PatientsTelephoneNumbers;
	static const Tag EthnicGroup;
	static const Tag Occupation;
	static const Tag SmokingStatus;
	static const Tag AdditionalPatientHistory;
	static const Tag PregnancyStatus;
	static const Tag LastMenstrualDate;
	static const Tag PatientsReligiousPreference;
	static const Tag PatientComments;
	static const Tag AcquisitionGroupLength;
	static const Tag ContrastBolusAgent;
	static const Tag ContrastBolusAgentSequence;
	static const Tag ContrastBolusAdministrationRouteSequence;
	static const Tag BodyPartExamined;
	static const Tag ScanningSequence;
	static const Tag SequenceVariant;
	static const Tag ScanOptions;
	static const Tag MRAcquisitionType;
	static const Tag SequenceName;
	static const Tag AngioFlag;
	static const Tag InterventionDrugInformationSequence;
	static const Tag InterventionDrugStopTime;
	static const Tag InterventionDrugDose;
	static const Tag InterventionDrugCodeSequence;
	static const Tag AdditionalDrugSequence;
	static const Tag Radiopharmaceutical;
	static const Tag InterventionDrugName;
	static const Tag InterventionDrugStartTime;
	static const Tag InterventionalTherapySequence;
	static const Tag RETIRED_TherapyType;
	static const Tag InterventionalStatus;
	static const Tag TherapyDescription;
	static const Tag CineRate;
	static const Tag SliceThickness;
	static const Tag KVP;
	static const Tag CountsAccumulated;
	static const Tag AcquisitionTerminationCondition;
	static const Tag EffectiveSeriesDuration;
	static const Tag AcquisitionStartCondition;
	static const Tag AcquisitionStartConditionData;
	static const Tag AcquisitionTerminationConditionData;
	static const Tag RepetitionTime;
	static const Tag EchoTime;
	static const Tag InversionTime;
	static const Tag NumberOfAverages;
	static const Tag ImagingFrequency;
	static const Tag ImagedNucleus;
	static const Tag EchoNumbers;
	static const Tag MagneticFieldStrength;
	static const Tag SpacingBetweenSlices;
	static const Tag NumberOfPhaseEncodingSteps;
	static const Tag DataCollectionDiameter;
	static const Tag EchoTrainLength;
	static const Tag PercentSampling;
	static const Tag PercentPhaseFieldOfView;
	static const Tag PixelBandwidth;
	static const Tag DeviceSerialNumber;
	static const Tag PlateID;
	static const Tag SecondaryCaptureDeviceID;
	static const Tag HardcopyCreationDeviceID;
	static const Tag DateOfSecondaryCapture;
	static const Tag TimeOfSecondaryCapture;
	static const Tag SecondaryCaptureDeviceManufacturer;
	static const Tag HardcopyDeviceManufacturer;
	static const Tag SecondaryCaptureDeviceManufacturersModelName;
	static const Tag SecondaryCaptureDeviceSoftwareVersions;
	static const Tag HardcopyDeviceSoftwareVersion;
	static const Tag HardcopyDeviceManufacturersModelName;
	static const Tag SoftwareVersions;
	static const Tag VideoImageFormatAcquired;
	static const Tag DigitalImageFormatAcquired;
	static const Tag ProtocolName;
	static const Tag ContrastBolusRoute;
	static const Tag ContrastBolusVolume;
	static const Tag ContrastBolusStartTime;
	static const Tag ContrastBolusStopTime;
	static const Tag ContrastBolusTotalDose;
	static const Tag SyringeCounts;
	static const Tag ContrastFlowRates;
	static const Tag ContrastFlowDurations;
	static const Tag ContrastBolusIngredient;
	static const Tag ContrastBolusIngredientConcentration;
	static const Tag SpatialResolution;
	static const Tag TriggerTime;
	static const Tag TriggerSourceOrType;
	static const Tag NominalInterval;
	static const Tag FrameTime;
	static const Tag FramingType;
	static const Tag FrameTimeVector;
	static const Tag FrameDelay;
	static const Tag ImageTriggerDelay;
	static const Tag MultiplexGroupTimeOffset;
	static const Tag TriggerTimeOffset;
	static const Tag SynchronizationTrigger;
	static const Tag SynchronizationChannel;
	static const Tag TriggerSamplePosition;
	static const Tag RadiopharmaceuticalRoute;
	static const Tag RadiopharmaceuticalVolume;
	static const Tag RadiopharmaceuticalStartTime;
	static const Tag RadiopharmaceuticalStopTime;
	static const Tag RadionuclideTotalDose;
	static const Tag RadionuclideHalfLife;
	static const Tag RadionuclidePositronFraction;
	static const Tag RadiopharmaceuticalSpecificActivity;
	static const Tag BeatRejectionFlag;
	static const Tag LowRRValue;
	static const Tag HighRRValue;
	static const Tag IntervalsAcquired;
	static const Tag IntervalsRejected;
	static const Tag PVCRejection;
	static const Tag SkipBeats;
	static const Tag HeartRate;
	static const Tag CardiacNumberOfImages;
	static const Tag TriggerWindow;
	static const Tag ReconstructionDiameter;
	static const Tag DistanceSourceToDetector;
	static const Tag DistanceSourceToPatient;
	static const Tag EstimatedRadiographicMagnificationFactor;
	static const Tag GantryDetectorTilt;
	static const Tag GantryDetectorSlew;
	static const Tag TableHeight;
	static const Tag TableTraverse;
	static const Tag TableMotion;
	static const Tag TableVerticalIncrement;
	static const Tag TableLateralIncrement;
	static const Tag TableLongitudinalIncrement;
	static const Tag TableAngle;
	static const Tag TableType;
	static const Tag RotationDirection;
	static const Tag AngularPosition;
	static const Tag RadialPosition;
	static const Tag ScanArc;
	static const Tag AngularStep;
	static const Tag CenterOfRotationOffset;
	static const Tag FieldOfViewShape;
	static const Tag FieldOfViewDimensions;
	static const Tag ExposureTime;
	static const Tag XRayTubeCurrent;
	static const Tag Exposure;
	static const Tag ExposureInMicroAs;
	static const Tag AveragePulseWidth;
	static const Tag RadiationSetting;
	static const Tag RectificationType;
	static const Tag RadiationMode;
	static const Tag ImageAreaDoseProduct;
	static const Tag FilterType;
	static const Tag TypeOfFilters;
	static const Tag IntensifierSize;
	static const Tag ImagerPixelSpacing;
	static const Tag Grid;
	static const Tag GeneratorPower;
	static const Tag CollimatorGridName;
	static const Tag CollimatorType;
	static const Tag FocalDistance;
	static const Tag XFocusCenter;
	static const Tag YFocusCenter;
	static const Tag FocalSpots;
	static const Tag AnodeTargetMaterial;
	static const Tag BodyPartThickness;
	static const Tag CompressionForce;
	static const Tag DateOfLastCalibration;
	static const Tag TimeOfLastCalibration;
	static const Tag ConvolutionKernel;
	static const Tag ActualFrameDuration;
	static const Tag CountRate;
	static const Tag PreferredPlaybackSequencing;
	static const Tag PlateType;
	static const Tag PhosphorType;
	static const Tag ScanVelocity;
	static const Tag WholeBodyTechnique;
	static const Tag ScanLength;
	static const Tag AcquisitionMatrix;
	static const Tag PhaseEncodingDirection;
	static const Tag FlipAngle;
	static const Tag VariableFlipAngleFlag;
	static const Tag SAR;
	static const Tag dBdt;
	static const Tag AcquisitionDeviceProcessingDescription;
	static const Tag AcquisitionDeviceProcessingCode;
	static const Tag CassetteOrientation;
	static const Tag CassetteSize;
	static const Tag ExposuresOnPlate;
	static const Tag RelativeXRayExposure;
	static const Tag TomoLayerHeight;
	static const Tag TomoAngle;
	static const Tag TomoTime;
	static const Tag TomoType;
	static const Tag TomoClass;
	static const Tag NumberOfTomosynthesisSourceImages;
	static const Tag PositionerMotion;
	static const Tag PositionerType;
	static const Tag PositionerPrimaryAngle;
	static const Tag PositionerSecondaryAngle;
	static const Tag PositionerPrimaryAngleIncrement;
	static const Tag PositionerSecondaryAngleIncrement;
	static const Tag DetectorPrimaryAngle;
	static const Tag DetectorSecondaryAngle;
	static const Tag ShutterShape;
	static const Tag ShutterLeftVerticalEdge;
	static const Tag ShutterRightVerticalEdge;
	static const Tag ShutterUpperHorizontalEdge;
	static const Tag ShutterLowerHorizontalEdge;
	static const Tag CenterOfCircularShutter;
	static const Tag RadiusOfCircularShutter;
	static const Tag VerticesOfThePolygonalShutter;
	static const Tag ShutterPresentationValue;
	static const Tag ShutterOverlayGroup;
	static const Tag CollimatorShape;
	static const Tag CollimatorLeftVerticalEdge;
	static const Tag CollimatorRightVerticalEdge;
	static const Tag CollimatorUpperHorizontalEdge;
	static const Tag CollimatorLowerHorizontalEdge;
	static const Tag CenterOfCircularCollimator;
	static const Tag RadiusOfCircularCollimator;
	static const Tag VerticesOfThePolygonalCollimator;
	static const Tag AcquisitionTimeSynchronized;
	static const Tag TimeSource;
	static const Tag TimeDistributionProtocol;
	static const Tag PageNumberVector;
	static const Tag FrameLabelVector;
	static const Tag FramePrimaryAngleVector;
	static const Tag FrameSecondaryAngleVector;
	static const Tag SliceLocationVector;
	static const Tag DisplayWindowLabelVector;
	static const Tag NominalScannedPixelSpacing;
	static const Tag DigitizingDeviceTransportDirection;
	static const Tag RotationOfScannedFilm;
	static const Tag IVUSAcquisition;
	static const Tag IVUSPullbackRate;
	static const Tag IVUSGatedRate;
	static const Tag IVUSPullbackStartFrameNumber;
	static const Tag IVUSPullbackStopFrameNumber;
	static const Tag LesionNumber;
	static const Tag OutputPower;
	static const Tag TransducerData;
	static const Tag FocusDepth;
	static const Tag ProcessingFunction;
	static const Tag PostprocessingFunction;
	static const Tag MechanicalIndex;
	static const Tag ThermalIndex;
	static const Tag CranialThermalIndex;
	static const Tag SoftTissueThermalIndex;
	static const Tag SoftTissueFocusThermalIndex;
	static const Tag SoftTissueSurfaceThermalIndex;
	static const Tag DepthOfScanField;
	static const Tag PatientPosition;
	static const Tag ViewPosition;
	static const Tag ProjectionEponymousNameCodeSequence;
	static const Tag ImageTransformationMatrix;
	static const Tag ImageTranslationVector;
	static const Tag Sensitivity;
	static const Tag SequenceOfUltrasoundRegions;
	static const Tag RegionSpatialFormat;
	static const Tag RegionDataType;
	static const Tag RegionFlags;
	static const Tag RegionLocationMinX0;
	static const Tag RegionLocationMinY0;
	static const Tag RegionLocationMaxX1;
	static const Tag RegionLocationMaxY1;
	static const Tag ReferencePixelX0;
	static const Tag ReferencePixelY0;
	static const Tag PhysicalUnitsXDirection;
	static const Tag PhysicalUnitsYDirection;
	static const Tag ReferencePixelPhysicalValueX;
	static const Tag ReferencePixelPhysicalValueY;
	static const Tag PhysicalDeltaX;
	static const Tag PhysicalDeltaY;
	static const Tag TransducerFrequency;
	static const Tag TransducerType;
	static const Tag PulseRepetitionFrequency;
	static const Tag DopplerCorrectionAngle;
	static const Tag SteeringAngle;
	static const Tag PixelComponentOrganization;
	static const Tag PixelComponentMask;
	static const Tag PixelComponentRangeStart;
	static const Tag PixelComponentRangeStop;
	static const Tag PixelComponentPhysicalUnits;
	static const Tag PixelComponentDataType;
	static const Tag NumberOfTableBreakPoints;
	static const Tag TableOfXBreakPoints;
	static const Tag TableOfYBreakPoints;
	static const Tag NumberOfTableEntries;
	static const Tag TableOfPixelValues;
	static const Tag TableOfParameterValues;
	static const Tag DetectorConditionsNominalFlag;
	static const Tag DetectorTemperature;
	static const Tag DetectorType;
	static const Tag DetectorConfiguration;
	static const Tag DetectorDescription;
	static const Tag DetectorMode;
	static const Tag DetectorID;
	static const Tag DateOfLastDetectorCalibration;
	static const Tag TimeOfLastDetectorCalibration;
	static const Tag ExposuresOnDetectorSinceLastCalibration;
	static const Tag ExposuresOnDetectorSinceManufactured;
	static const Tag DetectorTimeSinceLastExposure;
	static const Tag DetectorActiveTime;
	static const Tag DetectorActivationOffsetFromExposure;
	static const Tag DetectorBinning;
	static const Tag DetectorElementPhysicalSize;
	static const Tag DetectorElementSpacing;
	static const Tag DetectorActiveShape;
	static const Tag DetectorActiveDimensions;
	static const Tag DetectorActiveOrigin;
	static const Tag FieldOfViewOrigin;
	static const Tag FieldOfViewRotation;
	static const Tag FieldOfViewHorizontalFlip;
	static const Tag GridAbsorbingMaterial;
	static const Tag GridSpacingMaterial;
	static const Tag GridThickness;
	static const Tag GridPitch;
	static const Tag GridAspectRatio;
	static const Tag GridPeriod;
	static const Tag GridFocalDistance;
	static const Tag FilterMaterial;
	static const Tag FilterThicknessMinimum;
	static const Tag FilterThicknessMaximum;
	static const Tag ExposureControlMode;
	static const Tag ExposureControlModeDescription;
	static const Tag ExposureStatus;
	static const Tag PhototimerSetting;
	static const Tag ExposureTimeInMicroS;
	static const Tag XRayTubeCurrentInMicroA;
	static const Tag ImageGroupLength;
	static const Tag StudyInstanceUID;
	static const Tag SeriesInstanceUID;
	static const Tag StudyID;
	static const Tag SeriesNumber;
	static const Tag AcquisitionNumber;
	static const Tag InstanceNumber;
	static const Tag ItemNumber;
	static const Tag PatientOrientation;
	static const Tag OverlayNumber;
	static const Tag CurveNumber;
	static const Tag LookupTableNumber;
	static const Tag ImagePositionPatient;
	static const Tag ImageOrientationPatient;
	static const Tag FrameOfReferenceUID;
	static const Tag Laterality;
	static const Tag ImageLaterality;
	static const Tag TemporalPositionIdentifier;
	static const Tag NumberOfTemporalPositions;
	static const Tag TemporalResolution;
	static const Tag SynchronizationFrameOfReferenceUID;
	static const Tag SeriesInStudy;
	static const Tag ImagesInAcquisition;
	static const Tag AcquisitionsInStudy;
	static const Tag PositionReferenceIndicator;
	static const Tag SliceLocation;
	static const Tag OtherStudyNumbers;
	static const Tag NumberOfPatientRelatedStudies;
	static const Tag NumberOfPatientRelatedSeries;
	static const Tag NumberOfPatientRelatedInstances;
	static const Tag NumberOfStudyRelatedSeries;
	static const Tag NumberOfStudyRelatedInstances;
	static const Tag NumberOfSeriesRelatedInstances;
	static const Tag ImageComments;
	static const Tag ImagePresentationGroupLength;
	static const Tag SamplesPerPixel;
	static const Tag PhotometricInterpretation;
	static const Tag PlanarConfiguration;
	static const Tag NumberOfFrames;
	static const Tag FrameIncrementPointer;
	static const Tag Rows;
	static const Tag Columns;
	static const Tag Planes;
	static const Tag UltrasoundColorDataPresent;
	static const Tag PixelSpacing;
	static const Tag ZoomFactor;
	static const Tag ZoomCenter;
	static const Tag PixelAspectRatio;
	static const Tag CorrectedImage;
	static const Tag BitsAllocated;
	static const Tag BitsStored;
	static const Tag HighBit;
	static const Tag PixelRepresentation;
	static const Tag SmallestImagePixelValue;
	static const Tag LargestImagePixelValue;
	static const Tag SmallestPixelValueInSeries;
	static const Tag LargestPixelValueInSeries;
	static const Tag SmallestImagePixelValueInPlane;
	static const Tag LargestImagePixelValueInPlane;
	static const Tag PixelPaddingValue;
	static const Tag QualityControlImage;
	static const Tag BurnedInAnnotation;
	static const Tag PixelIntensityRelationship;
	static const Tag PixelIntensityRelationshipSign;
	static const Tag WindowCenter;
	static const Tag WindowWidth;
	static const Tag RescaleIntercept;
	static const Tag RescaleSlope;
	static const Tag RescaleType;
	static const Tag WindowCenterWidthExplanation;
	static const Tag RecommendedViewingMode;
	static const Tag RedPaletteColorLookupTableDescriptor;
	static const Tag GreenPaletteColorLookupTableDescriptor;
	static const Tag BluePaletteColorLookupTableDescriptor;
	static const Tag PaletteColorLookupTableUID;
	static const Tag RedPaletteColorLookupTableData;
	static const Tag GreenPaletteColorLookupTableData;
	static const Tag BluePaletteColorLookupTableData;
	static const Tag SegmentedRedPaletteColorLookupTableData;
	static const Tag SegmentedGreenPaletteColorLookupTableData;
	static const Tag SegmentedBluePaletteColorLookupTableData;
	static const Tag ImplantPresent;
	static const Tag PartialView;
	static const Tag PartialViewDescription;
	static const Tag LossyImageCompression;
	static const Tag LossyImageCompressionRatio;
	static const Tag ModalityLUTSequence;
	static const Tag LUTDescriptor;
	static const Tag LUTExplanation;
	static const Tag ModalityLUTType;
	static const Tag LUTData;
	static const Tag VOILUTSequence;
	static const Tag SoftcopyVOILUTSequence;
	static const Tag BiPlaneAcquisitionSequence;
	static const Tag RepresentativeFrameNumber;
	static const Tag FrameNumbersOfInterestFOI;
	static const Tag FramesOfInterestDescription;
	static const Tag RETIRED_MaskPointers;
	static const Tag RWavePointer;
	static const Tag MaskSubtractionSequence;
	static const Tag MaskOperation;
	static const Tag ApplicableFrameRange;
	static const Tag MaskFrameNumbers;
	static const Tag ContrastFrameAveraging;
	static const Tag MaskSubPixelShift;
	static const Tag TIDOffset;
	static const Tag MaskOperationExplanation;
	static const Tag StudyGroupLength;
	static const Tag StudyStatusID;
	static const Tag StudyPriorityID;
	static const Tag StudyIDIssuer;
	static const Tag StudyVerifiedDate;
	static const Tag StudyVerifiedTime;
	static const Tag StudyReadDate;
	static const Tag StudyReadTime;
	static const Tag ScheduledStudyStartDate;
	static const Tag ScheduledStudyStartTime;
	static const Tag ScheduledStudyStopDate;
	static const Tag ScheduledStudyStopTime;
	static const Tag ScheduledStudyLocation;
	static const Tag ScheduledStudyLocationAETitles;
	static const Tag ReasonForStudy;
	static const Tag RequestingPhysician;
	static const Tag RequestingService;
	static const Tag StudyArrivalDate;
	static const Tag StudyArrivalTime;
	static const Tag StudyCompletionDate;
	static const Tag StudyCompletionTime;
	static const Tag StudyComponentStatusID;
	static const Tag RequestedProcedureDescription;
	static const Tag RequestedProcedureCodeSequence;
	static const Tag RequestedContrastAgent;
	static const Tag StudyComments;
	static const Tag VisitGroupLength;
	static const Tag ReferencedPatientAliasSequence;
	static const Tag VisitStatusID;
	static const Tag AdmissionID;
	static const Tag IssuerOfAdmissionID;
	static const Tag RouteOfAdmissions;
	static const Tag ScheduledAdmissionDate;
	static const Tag ScheduledAdmissionTime;
	static const Tag ScheduledDischargeDate;
	static const Tag ScheduledDischargeTime;
	static const Tag ScheduledPatientInstitutionResidence;
	static const Tag AdmittingDate;
	static const Tag AdmittingTime;
	static const Tag DischargeDate;
	static const Tag DischargeTime;
	static const Tag DischargeDiagnosisDescription;
	static const Tag DischargeDiagnosisCodeSequence;
	static const Tag SpecialNeeds;
	static const Tag CurrentPatientLocation;
	static const Tag PatientsInstitutionResidence;
	static const Tag PatientState;
	static const Tag VisitComments;
	static const Tag WaveformOriginality;
	static const Tag NumberOfWaveformChannels;
	static const Tag NumberOfWaveformSamples;
	static const Tag SamplingFrequency;
	static const Tag MultiplexGroupLabel;
	static const Tag ChannelDefinitionSequence;
	static const Tag WaveformChannelNumber;
	static const Tag ChannelLabel;
	static const Tag ChannelStatus;
	static const Tag ChannelSourceSequence;
	static const Tag ChannelSourceModifiersSequence;
	static const Tag SourceWaveformSequence;
	static const Tag ChannelDerivationDescription;
	static const Tag ChannelSensitivity;
	static const Tag ChannelSensitivityUnitsSequence;
	static const Tag ChannelSensitivityCorrectionFactor;
	static const Tag ChannelBaseline;
	static const Tag ChannelTimeSkew;
	static const Tag ChannelSampleSkew;
	static const Tag ChannelOffset;
	static const Tag WaveformBitsStored;
	static const Tag FilterLowFrequency;
	static const Tag FilterHighFrequency;
	static const Tag NotchFilterFrequency;
	static const Tag NotchFilterBandwidth;
	static const Tag ModalityWorklistGroupLength;
	static const Tag ScheduledStationAETitle;
	static const Tag ScheduledProcedureStepStartDate;
	static const Tag ScheduledProcedureStepStartTime;
	static const Tag ScheduledProcedureStepEndDate;
	static const Tag ScheduledProcedureStepEndTime;
	static const Tag ScheduledPerformingPhysiciansName;
	static const Tag ScheduledProcedureStepDescription;
	static const Tag ScheduledProtocolCodeSequence;
	static const Tag ScheduledProcedureStepID;
	static const Tag StageCodeSequence;
	static const Tag ScheduledStationName;
	static const Tag ScheduledProcedureStepLocation;
	static const Tag PreMedication;
	static const Tag ScheduledProcedureStepStatus;
	static const Tag ScheduledProcedureStepSequence;
	static const Tag ReferencedNonImageCompositeSOPInstanceSequence;
	static const Tag PerformedStationAETitle;
	static const Tag PerformedStationName;
	static const Tag PerformedLocation;
	static const Tag PerformedProcedureStepStartDate;
	static const Tag PerformedProcedureStepStartTime;
	static const Tag PerformedProcedureStepEndDate;
	static const Tag PerformedProcedureStepEndTime;
	static const Tag PerformedProcedureStepStatus;
	static const Tag PerformedProcedureStepID;
	static const Tag PerformedProcedureStepDescription;
	static const Tag PerformedProcedureTypeDescription;
	static const Tag PerformedProtocolCodeSequence;
	static const Tag ScheduledStepAttributesSequence;
	static const Tag RequestAttributesSequence;
	static const Tag CommentsOnThePerformedProcedureStep;
	static const Tag QuantitySequence;
	static const Tag Quantity;
	static const Tag MeasuringUnitsSequence;
	static const Tag BillingItemSequence;
	static const Tag TotalTimeOfFluoroscopy;
	static const Tag TotalNumberOfExposures;
	static const Tag EntranceDose;
	static const Tag ExposedArea;
	static const Tag DistanceSourceToEntrance;
	static const Tag RETIRED_DistanceSourceToSupport;
	static const Tag ExposureDoseSequence;
	static const Tag CommentsOnRadiationDose;
	static const Tag XRayOutput;
	static const Tag HalfValueLayer;
	static const Tag OrganDose;
	static const Tag OrganExposed;
	static const Tag BillingProcedureStepSequence;
	static const Tag FilmConsumptionSequence;
	static const Tag BillingSuppliesAndDevicesSequence;
	static const Tag RETIRED_ReferencedProcedureStepSequence;
	static const Tag PerformedSeriesSequence;
	static const Tag CommentsOnTheScheduledProcedureStep;
	static const Tag SpecimenAccessionNumber;
	static const Tag SpecimenSequence;
	static const Tag SpecimenIdentifier;
	static const Tag AcquisitionContextSequence;
	static const Tag AcquisitionContextDescription;
	static const Tag SpecimenTypeCodeSequence;
	static const Tag SlideIdentifier;
	static const Tag ImageCenterPointCoordinatesSequence;
	static const Tag XOffsetInSlideCoordinateSystem;
	static const Tag YOffsetInSlideCoordinateSystem;
	static const Tag ZOffsetInSlideCoordinateSystem;
	static const Tag PixelSpacingSequence;
	static const Tag CoordinateSystemAxisCodeSequence;
	static const Tag MeasurementUnitsCodeSequence;
	static const Tag RequestedProcedureID;
	static const Tag ReasonForTheRequestedProcedure;
	static const Tag RequestedProcedurePriority;
	static const Tag PatientTransportArrangements;
	static const Tag RequestedProcedureLocation;
	static const Tag PlacerOrderNumberProcedure;
	static const Tag FillerOrderNumberProcedure;
	static const Tag ConfidentialityCode;
	static const Tag ReportingPriority;
	static const Tag NamesOfIntendedRecipientsOfResults;
	static const Tag RequestedProcedureComments;
	static const Tag ReasonForTheImagingServiceRequest;
	static const Tag IssueDateOfImagingServiceRequest;
	static const Tag IssueTimeOfImagingServiceRequest;
	static const Tag RETIRED_PlacerOrderNumberImagingServiceRequest;
	static const Tag RETIRED_FillerOrderNumberImagingServiceRequest;
	static const Tag OrderEnteredBy;
	static const Tag OrderEnterersLocation;
	static const Tag OrderCallbackPhoneNumber;
	static const Tag PlacerOrderNumberImagingServiceRequest;
	static const Tag FillerOrderNumberImagingServiceRequest;
	static const Tag ImagingServiceRequestComments;
	static const Tag ConfidentialityConstraintOnPatientDataDescription;
	static const Tag GeneralPurposeScheduledProcedureStepStatus;
	static const Tag GeneralPurposePerformedProcedureStepStatus;
	static const Tag GeneralPurposeScheduledProcedureStepPriority;
	static const Tag ScheduledProcessingApplicationsCodeSequence;
	static const Tag ScheduledProcedureStepStartDateAndTime;
	static const Tag MultipleCopiesFlag;
	static const Tag PerformedProcessingApplicationsCodeSequence;
	static const Tag HumanPerformerCodeSequence;
	static const Tag ExpectedCompletionDateAndTime;
	static const Tag ResultingGeneralPurposePerformedProcedureStepsSequence;
	static const Tag ReferencedGeneralPurposeScheduledProcedureStepSequence;
	static const Tag ScheduledWorkitemCodeSequence;
	static const Tag PerformedWorkitemCodeSequence;
	static const Tag InputAvailabilityFlag;
	static const Tag InputInformationSequence;
	static const Tag RelevantInformationSequence;
	static const Tag ReferencedGeneralPurposeScheduledProcedureStepTransactionUID;
	static const Tag ScheduledStationNameCodeSequence;
	static const Tag ScheduledStationClassCodeSequence;
	static const Tag ScheduledStationGeographicLocationCodeSequence;
	static const Tag PerformedStationNameCodeSequence;
	static const Tag PerformedStationClassCodeSequence;
	static const Tag PerformedStationGeographicLocationCodeSequence;
	static const Tag RequestedSubsequentWorkitemCodeSequence;
	static const Tag NonDICOMOutputCodeSequence;
	static const Tag OutputInformationSequence;
	static const Tag ScheduledHumanPerformersSequence;
	static const Tag ActualHumanPerformersSequence;
	static const Tag HumanPerformersOrganization;
	static const Tag HumanPerformersName;
	static const Tag EntranceDoseInmGy;
	static const Tag RelationshipType;
	static const Tag VerifyingOrganization;
	static const Tag VerificationDateTime;
	static const Tag ObservationDateTime;
	static const Tag ValueType;
	static const Tag ConceptNameCodeSequence;
	static const Tag ContinuityOfContent;
	static const Tag VerifyingObserverSequence;
	static const Tag VerifyingObserverName;
	static const Tag VerifyingObserverIdentificationCodeSequence;
	static const Tag ReferencedWaveformChannels;
	static const Tag DateTime;
	static const Tag Date;
	static const Tag Time;
	static const Tag PersonName;
	static const Tag UID;
	static const Tag TemporalRangeType;
	static const Tag ReferencedSamplePositions;
	static const Tag ReferencedFrameNumbers;
	static const Tag ReferencedTimeOffsets;
	static const Tag ReferencedDatetime;
	static const Tag TextValue;
	static const Tag ConceptCodeSequence;
	static const Tag PurposeOfReferenceCodeSequence;
	static const Tag AnnotationGroupNumber;
	static const Tag ModifierCodeSequence;
	static const Tag MeasuredValueSequence;
	static const Tag NumericValue;
	static const Tag PredecessorDocumentsSequence;
	static const Tag ReferencedRequestSequence;
	static const Tag PerformedProcedureCodeSequence;
	static const Tag CurrentRequestedProcedureEvidenceSequence;
	static const Tag PertinentOtherEvidenceSequence;
	static const Tag CompletionFlag;
	static const Tag CompletionFlagDescription;
	static const Tag VerificationFlag;
	static const Tag ContentTemplateSequence;
	static const Tag IdenticalDocumentsSequence;
	static const Tag ContentSequence;
	static const Tag AnnotationSequence;
	static const Tag TemplateIdentifier;
	static const Tag ReferencedContentItemIdentifier;
	static const Tag XRayAngioDeviceGroupLength;
	static const Tag CalibrationImage;
	static const Tag DeviceSequence;
	static const Tag DeviceLength;
	static const Tag DeviceDiameter;
	static const Tag DeviceDiameterUnits;
	static const Tag DeviceVolume;
	static const Tag InterMarkerDistance;
	static const Tag DeviceDescription;
	static const Tag NuclearMedicineGroupLength;
	static const Tag EnergyWindowVector;
	static const Tag NumberOfEnergyWindows;
	static const Tag EnergyWindowInformationSequence;
	static const Tag EnergyWindowRangeSequence;
	static const Tag EnergyWindowLowerLimit;
	static const Tag EnergyWindowUpperLimit;
	static const Tag RadiopharmaceuticalInformationSequence;
	static const Tag ResidualSyringeCounts;
	static const Tag EnergyWindowName;
	static const Tag DetectorVector;
	static const Tag NumberOfDetectors;
	static const Tag DetectorInformationSequence;
	static const Tag PhaseVector;
	static const Tag NumberOfPhases;
	static const Tag PhaseInformationSequence;
	static const Tag NumberOfFramesInPhase;
	static const Tag PhaseDelay;
	static const Tag PauseBetweenFrames;
	static const Tag RotationVector;
	static const Tag NumberOfRotations;
	static const Tag RotationInformationSequence;
	static const Tag NumberOfFramesInRotation;
	static const Tag RRIntervalVector;
	static const Tag NumberOfRRIntervals;
	static const Tag GatedInformationSequence;
	static const Tag DataInformationSequence;
	static const Tag TimeSlotVector;
	static const Tag NumberOfTimeSlots;
	static const Tag TimeSlotInformationSequence;
	static const Tag TimeSlotTime;
	static const Tag SliceVector;
	static const Tag NumberOfSlices;
	static const Tag AngularViewVector;
	static const Tag TimeSliceVector;
	static const Tag NumberOfTimeSlices;
	static const Tag StartAngle;
	static const Tag TypeOfDetectorMotion;
	static const Tag TriggerVector;
	static const Tag NumberOfTriggersInPhase;
	static const Tag ViewCodeSequence;
	static const Tag ViewModifierCodeSequence;
	static const Tag RadionuclideCodeSequence;
	static const Tag AdministrationRouteCodeSequence;
	static const Tag RadiopharmaceuticalCodeSequence;
	static const Tag CalibrationDataSequence;
	static const Tag EnergyWindowNumber;
	static const Tag ImageID;
	static const Tag PatientOrientationCodeSequence;
	static const Tag PatientOrientationModifierCodeSequence;
	static const Tag PatientGantryRelationshipCodeSequence;
	static const Tag SeriesType;
	static const Tag Units;
	static const Tag CountsSource;
	static const Tag ReprojectionMethod;
	static const Tag RandomsCorrectionMethod;
	static const Tag AttenuationCorrectionMethod;
	static const Tag DecayCorrection;
	static const Tag ReconstructionMethod;
	static const Tag DetectorLinesOfResponseUsed;
	static const Tag ScatterCorrectionMethod;
	static const Tag AxialAcceptance;
	static const Tag AxialMash;
	static const Tag TransverseMash;
	static const Tag DetectorElementSize;
	static const Tag CoincidenceWindowWidth;
	static const Tag SecondaryCountsType;
	static const Tag FrameReferenceTime;
	static const Tag PrimaryPromptsCountsAccumulated;
	static const Tag SecondaryCountsAccumulated;
	static const Tag SliceSensitivityFactor;
	static const Tag DecayFactor;
	static const Tag DoseCalibrationFactor;
	static const Tag ScatterFractionFactor;
	static const Tag DeadTimeFactor;
	static const Tag ImageIndex;
	static const Tag CountsIncluded;
	static const Tag DeadTimeCorrectionFlag;
	static const Tag HistogramGroupLength;
	static const Tag HistogramSequence;
	static const Tag HistogramNumberOfBins;
	static const Tag HistogramFirstBinValue;
	static const Tag HistogramLastBinValue;
	static const Tag HistogramBinWidth;
	static const Tag HistogramExplanation;
	static const Tag HistogramData;
	static const Tag PresentationStateGroupLength;
	static const Tag GraphicAnnotationSequence;
	static const Tag GraphicLayer;
	static const Tag BoundingBoxAnnotationUnits;
	static const Tag AnchorPointAnnotationUnits;
	static const Tag GraphicAnnotationUnits;
	static const Tag UnformattedTextValue;
	static const Tag TextObjectSequence;
	static const Tag GraphicObjectSequence;
	static const Tag BoundingBoxTopLeftHandCorner;
	static const Tag BoundingBoxBottomRightHandCorner;
	static const Tag BoundingBoxTextHorizontalJustification;
	static const Tag AnchorPoint;
	static const Tag AnchorPointVisibility;
	static const Tag GraphicDimensions;
	static const Tag NumberOfGraphicPoints;
	static const Tag GraphicData;
	static const Tag GraphicType;
	static const Tag GraphicFilled;
	static const Tag ImageHorizontalFlip;
	static const Tag ImageRotation;
	static const Tag DisplayedAreaTopLeftHandCorner;
	static const Tag DisplayedAreaBottomRightHandCorner;
	static const Tag DisplayedAreaSelectionSequence;
	static const Tag GraphicLayerSequence;
	static const Tag GraphicLayerOrder;
	static const Tag GraphicLayerRecommendedDisplayGrayscaleValue;
	static const Tag GraphicLayerRecommendedDisplayRGBValue;
	static const Tag GraphicLayerDescription;
	static const Tag PresentationLabel;
	static const Tag PresentationDescription;
	static const Tag PresentationCreationDate;
	static const Tag PresentationCreationTime;
	static const Tag PresentationCreatorsName;
	static const Tag PresentationSizeMode;
	static const Tag PresentationPixelSpacing;
	static const Tag PresentationPixelAspectRatio;
	static const Tag PresentationPixelMagnificationRatio;
	static const Tag StorageGroupLength;
	static const Tag StorageMediaFileSetID;
	static const Tag StorageMediaFileSetUID;
	static const Tag IconImageSequence;
	static const Tag TopicTitle;
	static const Tag TopicSubject;
	static const Tag TopicAuthor;
	static const Tag TopicKeyWords;
	static const Tag SOPInstanceStatus;
	static const Tag SOPAuthorizationDateAndTime;
	static const Tag SOPAuthorizationComment;
	static const Tag AuthorizationEquipmentCertificationNumber;
	static const Tag MACIDNumber;
	static const Tag MACCalculationTransferSyntaxUID;
	static const Tag MACAlgorithm;
	static const Tag DataElementsSigned;
	static const Tag DigitalSignatureUID;
	static const Tag DigitalSignatureDateTime;
	static const Tag CertificateType;
	static const Tag CertificateOfSigner;
	static const Tag Signature;
	static const Tag CertifiedTimestampType;
	static const Tag CertifiedTimestamp;
	static const Tag FilmSessionGroupLength;
	static const Tag NumberOfCopies;
	static const Tag PrinterConfigurationSequence;
	static const Tag PrintPriority;
	static const Tag MediumType;
	static const Tag FilmDestination;
	static const Tag FilmSessionLabel;
	static const Tag MemoryAllocation;
	static const Tag MaximumMemoryAllocation;
	static const Tag ColorImagePrintingFlag;
	static const Tag CollationFlag;
	static const Tag AnnotationFlag;
	static const Tag ImageOverlayFlag;
	static const Tag PresentationLUTFlag;
	static const Tag ImageBoxPresentationLUTFlag;
	static const Tag MemoryBitDepth;
	static const Tag PrintingBitDepth;
	static const Tag MediaInstalledSequence;
	static const Tag OtherMediaAvailableSequence;
	static const Tag SupportedImageDisplayFormatsSequence;
	static const Tag ReferencedFilmBoxSequence;
	static const Tag ReferencedStoredPrintSequence;
	static const Tag FilmBoxGroupLength;
	static const Tag ImageDisplayFormat;
	static const Tag AnnotationDisplayFormatID;
	static const Tag FilmOrientation;
	static const Tag FilmSizeID;
	static const Tag PrinterResolutionID;
	static const Tag DefaultPrinterResolutionID;
	static const Tag MagnificationType;
	static const Tag SmoothingType;
	static const Tag DefaultMagnificationType;
	static const Tag OtherMagnificationTypesAvailable;
	static const Tag DefaultSmoothingType;
	static const Tag OtherSmoothingTypesAvailable;
	static const Tag BorderDensity;
	static const Tag EmptyImageDensity;
	static const Tag MinDensity;
	static const Tag MaxDensity;
	static const Tag Trim;
	static const Tag ConfigurationInformation;
	static const Tag ConfigurationInformationDescription;
	static const Tag MaximumCollatedFilms;
	static const Tag Illumination;
	static const Tag ReflectedAmbientLight;
	static const Tag PrinterPixelSpacing;
	static const Tag ReferencedFilmSessionSequence;
	static const Tag ReferencedImageBoxSequence;
	static const Tag ReferencedBasicAnnotationBoxSequence;
	static const Tag ImageBoxGroupLength;
	static const Tag ImagePosition;
	static const Tag Polarity;
	static const Tag RequestedImageSize;
	static const Tag RequestedDecimateCropBehavior;
	static const Tag RequestedResolutionID;
	static const Tag RequestedImageSizeFlag;
	static const Tag DecimateCropResult;
	static const Tag BasicGrayscaleImageSequence;
	static const Tag BasicColorImageSequence;
	static const Tag RETIRED_ReferencedImageOverlayBoxSequence;
	static const Tag RETIRED_ReferencedVOILUTBoxSequence;
	static const Tag AnnotationGroupLength;
	static const Tag AnnotationPosition;
	static const Tag TextString;
	static const Tag OverlayBoxGroupLength;
	static const Tag ReferencedOverlayPlaneSequence;
	static const Tag ReferencedOverlayPlaneGroups;
	static const Tag OverlayPixelDataSequence;
	static const Tag OverlayMagnificationType;
	static const Tag OverlaySmoothingType;
	static const Tag OverlayOrImageMagnification;
	static const Tag MagnifyToNumberOfColumns;
	static const Tag OverlayForegroundDensity;
	static const Tag OverlayBackgroundDensity;
	static const Tag OverlayMode;
	static const Tag ThresholdDensity;
	static const Tag PresentationLUTGroupLength;
	static const Tag PresentationLUTSequence;
	static const Tag PresentationLUTShape;
	static const Tag ReferencedPresentationLUTSequence;
	static const Tag PrintJobGroupLength;
	static const Tag PrintJobID;
	static const Tag ExecutionStatus;
	static const Tag ExecutionStatusInfo;
	static const Tag CreationDate;
	static const Tag CreationTime;
	static const Tag Originator;
	static const Tag DestinationAE;
	static const Tag OwnerID;
	static const Tag NumberOfFilms;
	static const Tag ReferencedPrintJobSequence;
	static const Tag PrinterGroupLength;
	static const Tag PrinterStatus;
	static const Tag PrinterStatusInfo;
	static const Tag PrinterName;
	static const Tag PrintQueueID;
	static const Tag QueueGroupLength;
	static const Tag QueueStatus;
	static const Tag PrintJobDescriptionSequence;
	static const Tag QueueReferencedPrintJobSequence;
	static const Tag PrintContentGroupLength;
	static const Tag PrintManagementCapabilitiesSequence;
	static const Tag PrinterCharacteristicsSequence;
	static const Tag FilmBoxContentSequence;
	static const Tag ImageBoxContentSequence;
	static const Tag AnnotationContentSequence;
	static const Tag ImageOverlayBoxContentSequence;
	static const Tag PresentationLUTContentSequence;
	static const Tag ProposedStudySequence;
	static const Tag OriginalImageSequence;
	static const Tag RTImageGroupLength;
	static const Tag RTImageLabel;
	static const Tag RTImageName;
	static const Tag RTImageDescription;
	static const Tag ReportedValuesOrigin;
	static const Tag RTImagePlane;
	static const Tag XRayImageReceptorTranslation;
	static const Tag XRayImageReceptorAngle;
	static const Tag RTImageOrientation;
	static const Tag ImagePlanePixelSpacing;
	static const Tag RTImagePosition;
	static const Tag RadiationMachineName;
	static const Tag RadiationMachineSAD;
	static const Tag RadiationMachineSSD;
	static const Tag RTImageSID;
	static const Tag SourceToReferenceObjectDistance;
	static const Tag FractionNumber;
	static const Tag ExposureSequence;
	static const Tag MetersetExposure;
	static const Tag DiaphragmPosition;
	static const Tag RTDoseGroupLength;
	static const Tag DVHType;
	static const Tag DoseUnits;
	static const Tag DoseType;
	static const Tag DoseComment;
	static const Tag NormalizationPoint;
	static const Tag DoseSummationType;
	static const Tag GridFrameOffsetVector;
	static const Tag DoseGridScaling;
	static const Tag RTDoseROISequence;
	static const Tag DoseValue;
	static const Tag DVHNormalizationPoint;
	static const Tag DVHNormalizationDoseValue;
	static const Tag DVHSequence;
	static const Tag DVHDoseScaling;
	static const Tag DVHVolumeUnits;
	static const Tag DVHNumberOfBins;
	static const Tag DVHData;
	static const Tag DVHReferencedROISequence;
	static const Tag DVHROIContributionType;
	static const Tag DVHMinimumDose;
	static const Tag DVHMaximumDose;
	static const Tag DVHMeanDose;
	static const Tag RTStructureSetGroupLength;
	static const Tag StructureSetLabel;
	static const Tag StructureSetName;
	static const Tag StructureSetDescription;
	static const Tag StructureSetDate;
	static const Tag StructureSetTime;
	static const Tag ReferencedFrameOfReferenceSequence;
	static const Tag RTReferencedStudySequence;
	static const Tag RTReferencedSeriesSequence;
	static const Tag ContourImageSequence;
	static const Tag StructureSetROISequence;
	static const Tag ROINumber;
	static const Tag ReferencedFrameOfReferenceUID;
	static const Tag ROIName;
	static const Tag ROIDescription;
	static const Tag ROIDisplayColor;
	static const Tag ROIVolume;
	static const Tag RTRelatedROISequence;
	static const Tag RTROIRelationship;
	static const Tag ROIGenerationAlgorithm;
	static const Tag ROIGenerationDescription;
	static const Tag ROIContourSequence;
	static const Tag ContourSequence;
	static const Tag ContourGeometricType;
	static const Tag ContourSlabThickness;
	static const Tag ContourOffsetVector;
	static const Tag NumberOfContourPoints;
	static const Tag ContourNumber;
	static const Tag AttachedContours;
	static const Tag ContourData;
	static const Tag RTROIObservationsSequence;
	static const Tag ObservationNumber;
	static const Tag ReferencedROINumber;
	static const Tag ROIObservationLabel;
	static const Tag RTROIIdentificationCodeSequence;
	static const Tag ROIObservationDescription;
	static const Tag RelatedRTROIObservationsSequence;
	static const Tag RTROIInterpretedType;
	static const Tag ROIInterpreter;
	static const Tag ROIPhysicalPropertiesSequence;
	static const Tag ROIPhysicalProperty;
	static const Tag ROIPhysicalPropertyValue;
	static const Tag FrameOfReferenceRelationshipSequence;
	static const Tag RelatedFrameOfReferenceUID;
	static const Tag FrameOfReferenceTransformationType;
	static const Tag FrameOfReferenceTransformationMatrix;
	static const Tag FrameOfReferenceTransformationComment;
	static const Tag MeasuredDoseReferenceSequence;
	static const Tag MeasuredDoseDescription;
	static const Tag MeasuredDoseType;
	static const Tag MeasuredDoseValue;
	static const Tag TreatmentSessionBeamSequence;
	static const Tag CurrentFractionNumber;
	static const Tag TreatmentControlPointDate;
	static const Tag TreatmentControlPointTime;
	static const Tag TreatmentTerminationStatus;
	static const Tag TreatmentTerminationCode;
	static const Tag TreatmentVerificationStatus;
	static const Tag ReferencedTreatmentRecordSequence;
	static const Tag SpecifiedPrimaryMeterset;
	static const Tag SpecifiedSecondaryMeterset;
	static const Tag DeliveredPrimaryMeterset;
	static const Tag DeliveredSecondaryMeterset;
	static const Tag SpecifiedTreatmentTime;
	static const Tag DeliveredTreatmentTime;
	static const Tag ControlPointDeliverySequence;
	static const Tag SpecifiedMeterset;
	static const Tag DeliveredMeterset;
	static const Tag DoseRateDelivered;
	static const Tag TreatmentSummaryCalculatedDoseReferenceSequence;
	static const Tag CumulativeDoseToDoseReference;
	static const Tag FirstTreatmentDate;
	static const Tag MostRecentTreatmentDate;
	static const Tag NumberOfFractionsDelivered;
	static const Tag OverrideSequence;
	static const Tag OverrideParameterPointer;
	static const Tag MeasuredDoseReferenceNumber;
	static const Tag OverrideReason;
	static const Tag CalculatedDoseReferenceSequence;
	static const Tag CalculatedDoseReferenceNumber;
	static const Tag CalculatedDoseReferenceDescription;
	static const Tag CalculatedDoseReferenceDoseValue;
	static const Tag StartMeterset;
	static const Tag EndMeterset;
	static const Tag ReferencedMeasuredDoseReferenceSequence;
	static const Tag ReferencedMeasuredDoseReferenceNumber;
	static const Tag ReferencedCalculatedDoseReferenceSequence;
	static const Tag ReferencedCalculatedDoseReferenceNumber;
	static const Tag BeamLimitingDeviceLeafPairsSequence;
	static const Tag RecordedWedgeSequence;
	static const Tag RecordedCompensatorSequence;
	static const Tag RecordedBlockSequence;
	static const Tag TreatmentSummaryMeasuredDoseReferenceSequence;
	static const Tag RecordedSourceSequence;
	static const Tag SourceSerialNumber;
	static const Tag TreatmentSessionApplicationSetupSequence;
	static const Tag ApplicationSetupCheck;
	static const Tag RecordedBrachyAccessoryDeviceSequence;
	static const Tag ReferencedBrachyAccessoryDeviceNumber;
	static const Tag RecordedChannelSequence;
	static const Tag SpecifiedChannelTotalTime;
	static const Tag DeliveredChannelTotalTime;
	static const Tag SpecifiedNumberOfPulses;
	static const Tag DeliveredNumberOfPulses;
	static const Tag SpecifiedPulseRepetitionInterval;
	static const Tag DeliveredPulseRepetitionInterval;
	static const Tag RecordedSourceApplicatorSequence;
	static const Tag ReferencedSourceApplicatorNumber;
	static const Tag RecordedChannelShieldSequence;
	static const Tag ReferencedChannelShieldNumber;
	static const Tag BrachyControlPointDeliveredSequence;
	static const Tag SafePositionExitDate;
	static const Tag SafePositionExitTime;
	static const Tag SafePositionReturnDate;
	static const Tag SafePositionReturnTime;
	static const Tag CurrentTreatmentStatus;
	static const Tag TreatmentStatusComment;
	static const Tag FractionGroupSummarySequence;
	static const Tag ReferencedFractionNumber;
	static const Tag FractionGroupType;
	static const Tag BeamStopperPosition;
	static const Tag FractionStatusSummarySequence;
	static const Tag TreatmentDate;
	static const Tag TreatmentTime;
	static const Tag RTPlanGroupLength;
	static const Tag RTPlanLabel;
	static const Tag RTPlanName;
	static const Tag RTPlanDescription;
	static const Tag RTPlanDate;
	static const Tag RTPlanTime;
	static const Tag TreatmentProtocols;
	static const Tag TreatmentIntent;
	static const Tag TreatmentSites;
	static const Tag RTPlanGeometry;
	static const Tag PrescriptionDescription;
	static const Tag DoseReferenceSequence;
	static const Tag DoseReferenceNumber;
	static const Tag DoseReferenceStructureType;
	static const Tag NominalBeamEnergyUnit;
	static const Tag DoseReferenceDescription;
	static const Tag DoseReferencePointCoordinates;
	static const Tag NominalPriorDose;
	static const Tag DoseReferenceType;
	static const Tag ConstraintWeight;
	static const Tag DeliveryWarningDose;
	static const Tag DeliveryMaximumDose;
	static const Tag TargetMinimumDose;
	static const Tag TargetPrescriptionDose;
	static const Tag TargetMaximumDose;
	static const Tag TargetUnderdoseVolumeFraction;
	static const Tag OrganAtRiskFullVolumeDose;
	static const Tag OrganAtRiskLimitDose;
	static const Tag OrganAtRiskMaximumDose;
	static const Tag OrganAtRiskOverdoseVolumeFraction;
	static const Tag ToleranceTableSequence;
	static const Tag ToleranceTableNumber;
	static const Tag ToleranceTableLabel;
	static const Tag GantryAngleTolerance;
	static const Tag BeamLimitingDeviceAngleTolerance;
	static const Tag BeamLimitingDeviceToleranceSequence;
	static const Tag BeamLimitingDevicePositionTolerance;
	static const Tag PatientSupportAngleTolerance;
	static const Tag TableTopEccentricAngleTolerance;
	static const Tag TableTopVerticalPositionTolerance;
	static const Tag TableTopLongitudinalPositionTolerance;
	static const Tag TableTopLateralPositionTolerance;
	static const Tag RTPlanRelationship;
	static const Tag FractionGroupSequence;
	static const Tag FractionGroupNumber;
	static const Tag NumberOfFractionsPlanned;
	static const Tag NumberOfFractionPatternDigitsPerDay;
	static const Tag RepeatFractionCycleLength;
	static const Tag FractionPattern;
	static const Tag NumberOfBeams;
	static const Tag BeamDoseSpecificationPoint;
	static const Tag BeamDose;
	static const Tag BeamMeterset;
	static const Tag NumberOfBrachyApplicationSetups;
	static const Tag BrachyApplicationSetupDoseSpecificationPoint;
	static const Tag BrachyApplicationSetupDose;
	static const Tag BeamSequence;
	static const Tag TreatmentMachineName;
	static const Tag PrimaryDosimeterUnit;
	static const Tag SourceAxisDistance;
	static const Tag BeamLimitingDeviceSequence;
	static const Tag RTBeamLimitingDeviceType;
	static const Tag SourceToBeamLimitingDeviceDistance;
	static const Tag NumberOfLeafJawPairs;
	static const Tag LeafPositionBoundaries;
	static const Tag BeamNumber;
	static const Tag BeamName;
	static const Tag BeamDescription;
	static const Tag BeamType;
	static const Tag RadiationType;
	static const Tag HighDoseTechniqueType;
	static const Tag ReferenceImageNumber;
	static const Tag PlannedVerificationImageSequence;
	static const Tag ImagingDeviceSpecificAcquisitionParameters;
	static const Tag TreatmentDeliveryType;
	static const Tag NumberOfWedges;
	static const Tag WedgeSequence;
	static const Tag WedgeNumber;
	static const Tag WedgeType;
	static const Tag WedgeID;
	static const Tag WedgeAngle;
	static const Tag WedgeFactor;
	static const Tag WedgeOrientation;
	static const Tag SourceToWedgeTrayDistance;
	static const Tag NumberOfCompensators;
	static const Tag MaterialID;
	static const Tag TotalCompensatorTrayFactor;
	static const Tag CompensatorSequence;
	static const Tag CompensatorNumber;
	static const Tag CompensatorID;
	static const Tag SourceToCompensatorTrayDistance;
	static const Tag CompensatorRows;
	static const Tag CompensatorColumns;
	static const Tag CompensatorPixelSpacing;
	static const Tag CompensatorPosition;
	static const Tag CompensatorTransmissionData;
	static const Tag CompensatorThicknessData;
	static const Tag NumberOfBoli;
	static const Tag CompensatorType;
	static const Tag NumberOfBlocks;
	static const Tag TotalBlockTrayFactor;
	static const Tag BlockSequence;
	static const Tag BlockTrayID;
	static const Tag SourceToBlockTrayDistance;
	static const Tag BlockType;
	static const Tag BlockDivergence;
	static const Tag BlockNumber;
	static const Tag BlockName;
	static const Tag BlockThickness;
	static const Tag BlockTransmission;
	static const Tag BlockNumberOfPoints;
	static const Tag BlockData;
	static const Tag ApplicatorSequence;
	static const Tag ApplicatorID;
	static const Tag ApplicatorType;
	static const Tag ApplicatorDescription;
	static const Tag CumulativeDoseReferenceCoefficient;
	static const Tag FinalCumulativeMetersetWeight;
	static const Tag NumberOfControlPoints;
	static const Tag ControlPointSequence;
	static const Tag ControlPointIndex;
	static const Tag NominalBeamEnergy;
	static const Tag DoseRateSet;
	static const Tag WedgePositionSequence;
	static const Tag WedgePosition;
	static const Tag BeamLimitingDevicePositionSequence;
	static const Tag LeafJawPositions;
	static const Tag GantryAngle;
	static const Tag GantryRotationDirection;
	static const Tag BeamLimitingDeviceAngle;
	static const Tag BeamLimitingDeviceRotationDirection;
	static const Tag PatientSupportAngle;
	static const Tag PatientSupportRotationDirection;
	static const Tag TableTopEccentricAxisDistance;
	static const Tag TableTopEccentricAngle;
	static const Tag TableTopEccentricRotationDirection;
	static const Tag TableTopVerticalPosition;
	static const Tag TableTopLongitudinalPosition;
	static const Tag TableTopLateralPosition;
	static const Tag IsocenterPosition;
	static const Tag SurfaceEntryPoint;
	static const Tag SourceToSurfaceDistance;
	static const Tag CumulativeMetersetWeight;
	static const Tag PatientSetupSequence;
	static const Tag PatientSetupNumber;
	static const Tag PatientAdditionalPosition;
	static const Tag FixationDeviceSequence;
	static const Tag FixationDeviceType;
	static const Tag FixationDeviceLabel;
	static const Tag FixationDeviceDescription;
	static const Tag FixationDevicePosition;
	static const Tag ShieldingDeviceSequence;
	static const Tag ShieldingDeviceType;
	static const Tag ShieldingDeviceLabel;
	static const Tag ShieldingDeviceDescription;
	static const Tag ShieldingDevicePosition;
	static const Tag SetupTechnique;
	static const Tag SetupTechniqueDescription;
	static const Tag SetupDeviceSequence;
	static const Tag SetupDeviceType;
	static const Tag SetupDeviceLabel;
	static const Tag SetupDeviceDescription;
	static const Tag SetupDeviceParameter;
	static const Tag SetupReferenceDescription;
	static const Tag TableTopVerticalSetupDisplacement;
	static const Tag TableTopLongitudinalSetupDisplacement;
	static const Tag TableTopLateralSetupDisplacement;
	static const Tag BrachyTreatmentTechnique;
	static const Tag BrachyTreatmentType;
	static const Tag TreatmentMachineSequence;
	static const Tag SourceSequence;
	static const Tag SourceNumber;
	static const Tag SourceType;
	static const Tag SourceManufacturer;
	static const Tag ActiveSourceDiameter;
	static const Tag ActiveSourceLength;
	static const Tag SourceEncapsulationNominalThickness;
	static const Tag SourceEncapsulationNominalTransmission;
	static const Tag SourceIsotopeName;
	static const Tag SourceIsotopeHalfLife;
	static const Tag ReferenceAirKermaRate;
	static const Tag AirKermaRateReferenceDate;
	static const Tag AirKermaRateReferenceTime;
	static const Tag ApplicationSetupSequence;
	static const Tag ApplicationSetupType;
	static const Tag ApplicationSetupNumber;
	static const Tag ApplicationSetupName;
	static const Tag ApplicationSetupManufacturer;
	static const Tag TemplateNumber;
	static const Tag TemplateType;
	static const Tag TemplateName;
	static const Tag TotalReferenceAirKerma;
	static const Tag BrachyAccessoryDeviceSequence;
	static const Tag BrachyAccessoryDeviceNumber;
	static const Tag BrachyAccessoryDeviceID;
	static const Tag BrachyAccessoryDeviceType;
	static const Tag BrachyAccessoryDeviceName;
	static const Tag BrachyAccessoryDeviceNominalThickness;
	static const Tag BrachyAccessoryDeviceNominalTransmission;
	static const Tag ChannelSequence;
	static const Tag ChannelNumber;
	static const Tag ChannelLength;
	static const Tag ChannelTotalTime;
	static const Tag SourceMovementType;
	static const Tag NumberOfPulses;
	static const Tag PulseRepetitionInterval;
	static const Tag SourceApplicatorNumber;
	static const Tag SourceApplicatorID;
	static const Tag SourceApplicatorType;
	static const Tag SourceApplicatorName;
	static const Tag SourceApplicatorLength;
	static const Tag SourceApplicatorManufacturer;
	static const Tag SourceApplicatorWallNominalThickness;
	static const Tag SourceApplicatorWallNominalTransmission;
	static const Tag SourceApplicatorStepSize;
	static const Tag TransferTubeNumber;
	static const Tag TransferTubeLength;
	static const Tag ChannelShieldSequence;
	static const Tag ChannelShieldNumber;
	static const Tag ChannelShieldID;
	static const Tag ChannelShieldName;
	static const Tag ChannelShieldNominalThickness;
	static const Tag ChannelShieldNominalTransmission;
	static const Tag FinalCumulativeTimeWeight;
	static const Tag BrachyControlPointSequence;
	static const Tag ControlPointRelativePosition;
	static const Tag ControlPoint3DPosition;
	static const Tag CumulativeTimeWeight;
	static const Tag RTRelationshipGroupLength;
	static const Tag ReferencedRTPlanSequence;
	static const Tag ReferencedBeamSequence;
	static const Tag ReferencedBeamNumber;
	static const Tag ReferencedReferenceImageNumber;
	static const Tag StartCumulativeMetersetWeight;
	static const Tag EndCumulativeMetersetWeight;
	static const Tag ReferencedBrachyApplicationSetupSequence;
	static const Tag ReferencedBrachyApplicationSetupNumber;
	static const Tag ReferencedSourceNumber;
	static const Tag ReferencedFractionGroupSequence;
	static const Tag ReferencedFractionGroupNumber;
	static const Tag ReferencedVerificationImageSequence;
	static const Tag ReferencedReferenceImageSequence;
	static const Tag ReferencedDoseReferenceSequence;
	static const Tag ReferencedDoseReferenceNumber;
	static const Tag BrachyReferencedDoseReferenceSequence;
	static const Tag ReferencedStructureSetSequence;
	static const Tag ReferencedPatientSetupNumber;
	static const Tag ReferencedDoseSequence;
	static const Tag ReferencedToleranceTableNumber;
	static const Tag ReferencedBolusSequence;
	static const Tag ReferencedWedgeNumber;
	static const Tag ReferencedCompensatorNumber;
	static const Tag ReferencedBlockNumber;
	static const Tag ReferencedControlPointIndex;
	static const Tag RTApprovalGroupLength;
	static const Tag ApprovalStatus;
	static const Tag ReviewDate;
	static const Tag ReviewTime;
	static const Tag ReviewerName;
	static const Tag ResultsGroupLength;
	static const Tag ResultsID;
	static const Tag ResultsIDIssuer;
	static const Tag ReferencedInterpretationSequence;
	static const Tag InterpretationRecordedDate;
	static const Tag InterpretationRecordedTime;
	static const Tag InterpretationRecorder;
	static const Tag ReferenceToRecordedSound;
	static const Tag InterpretationTranscriptionDate;
	static const Tag InterpretationTranscriptionTime;
	static const Tag InterpretationTranscriber;
	static const Tag InterpretationText;
	static const Tag InterpretationAuthor;
	static const Tag InterpretationApproverSequence;
	static const Tag InterpretationApprovalDate;
	static const Tag InterpretationApprovalTime;
	static const Tag PhysicianApprovingInterpretation;
	static const Tag InterpretationDiagnosisDescription;
	static const Tag InterpretationDiagnosisCodeSequence;
	static const Tag ResultsDistributionListSequence;
	static const Tag DistributionName;
	static const Tag DistributionAddress;
	static const Tag InterpretationID;
	static const Tag InterpretationIDIssuer;
	static const Tag InterpretationTypeID;
	static const Tag InterpretationStatusID;
	static const Tag Impressions;
	static const Tag ResultsComments;
	static const Tag MACParametersSequence;
	static const Tag WaveformGroupLength;
	static const Tag WaveformSequence;
	static const Tag ChannelMinimumValue;
	static const Tag ChannelMaximumValue;
	static const Tag WaveformBitsAllocated;
	static const Tag WaveformSampleInterpretation;
	static const Tag WaveformPaddingValue;
	static const Tag WaveformData;
	static const Tag PixelDataGroupLength;
	static const Tag PixelData;
	static const Tag DigitalSignaturesSequence;
	static const Tag DataSetTrailingPadding;
	static const Tag Item;
	static const Tag ItemDelimitationItem;
	static const Tag SequenceDelimitationItem;
	static const Tag NuclearMedicineSeriesType;
	static const Tag RETIRED_LossyImageCompression;
	static const Tag TransducerPosition;
	static const Tag TransducerOrientation;
	static const Tag AnatomicStructure;
	static const Tag Radionuclide;
	static const Tag EnergyWindowCenterline;
	static const Tag EnergyWindowTotalWidth;
	static const Tag RotationOffset;
	static const Tag IsotopeNumber;
	static const Tag PhaseNumber;
	static const Tag IntervalNumber;
	static const Tag TimeSlotNumber;
	static const Tag AngleNumber;
	static const Tag RETIRED_ReferencedImageBoxSequence;
	static const Tag ACR_NEMA_CommandGroupLengthToEnd;
	static const Tag ACR_NEMA_CommandRecognitionCode;
	static const Tag ACR_NEMA_Initiator;
	static const Tag ACR_NEMA_Receiver;
	static const Tag ACR_NEMA_FindLocation;
	static const Tag ACR_NEMA_NumberOfMatches;
	static const Tag ACR_NEMA_ResponseSequenceNumber;
	static const Tag ACR_NEMA_DialogReceiver;
	static const Tag ACR_NEMA_TerminalType;
	static const Tag ACR_NEMA_MessageSetID;
	static const Tag ACR_NEMA_EndMessageSet;
	static const Tag ACR_NEMA_DisplayFormat;
	static const Tag ACR_NEMA_PagePositionID;
	static const Tag ACR_NEMA_TextFormatID;
	static const Tag ACR_NEMA_NormalReverse;
	static const Tag ACR_NEMA_AddGrayScale;
	static const Tag ACR_NEMA_Borders;
	static const Tag ACR_NEMA_Copies;
	static const Tag ACR_NEMA_OldMagnificationType;
	static const Tag ACR_NEMA_Erase;
	static const Tag ACR_NEMA_Print;
	static const Tag ACR_NEMA_Overlays;
	static const Tag ACR_NEMA_IdentifyingGroupLengthToEnd;
	static const Tag ACR_NEMA_RecognitionCode;
	static const Tag ACR_NEMA_OldDataSetType;
	static const Tag ACR_NEMA_DataSetSubtype;
	static const Tag ACR_NEMA_NetworkID;
	static const Tag ACR_NEMA_IdentifyingComments;
	static const Tag ACR_NEMA_InsurancePlanIdentification;
	static const Tag ACR_NEMA_UpperLowerPixelValues;
	static const Tag ACR_NEMA_AcquisitionComments;
	static const Tag ACR_NEMA_DynamicRange;
	static const Tag ACR_NEMA_TotalGain;
	static const Tag ACR_NEMA_ImagePosition;
	static const Tag ACR_NEMA_ImageOrientation;
	static const Tag ACR_NEMA_Location;
	static const Tag ACR_NEMA_ImageGeometryType;
	static const Tag ACR_NEMA_MaskingImage;
	static const Tag ACR_NEMA_AcquisitionsInSeries;
	static const Tag ACR_NEMA_ImagesInSeries;
	static const Tag ACR_NEMA_ImagesInStudy;
	static const Tag ACR_NEMA_Reference;
	static const Tag ACR_NEMA_ModifyingDeviceID;
	static const Tag ACR_NEMA_ModifiedImageID;
	static const Tag ACR_NEMA_ModifiedImageDate;
	static const Tag ACR_NEMA_ModifyingDeviceManufacturer;
	static const Tag ACR_NEMA_ModifiedImageTime;
	static const Tag ACR_NEMA_ModifiedImageDescription;
	static const Tag ACR_NEMA_OriginalImageIdentification;
	static const Tag ACR_NEMA_OriginalImageIdentificationNomenclature;
	static const Tag ACR_NEMA_ImageDimensions;
	static const Tag ACR_NEMA_ImageFormat;
	static const Tag ACR_NEMA_ManipulatedImage;
	static const Tag ACR_NEMA_CompressionCode;
	static const Tag ACR_NEMA_SmallestValidPixelValue;
	static const Tag ACR_NEMA_LargestValidPixelValue;
	static const Tag ACR_NEMA_ImageLocation;
	static const Tag ACR_NEMA_GrayScale;
	static const Tag ACR_NEMA_GrayLookupTableDescriptor;
	static const Tag ACR_NEMA_GrayLookupTableData;
	static const Tag ACR_NEMA_ImagePresentationComments;
	static const Tag ACR_NEMA_TextGroupLength;
	static const Tag ACR_NEMA_TextArbitrary;
	static const Tag ACR_NEMA_TextComments;
	static const Tag ACR_NEMA_2C_CompressionRecognitionCode;
	static const Tag ACR_NEMA_2C_CompressionOriginator;
	static const Tag ACR_NEMA_2C_CompressionLabel;
	static const Tag ACR_NEMA_2C_CompressionDescription;
	static const Tag ACR_NEMA_2C_CompressionSequence;
	static const Tag ACR_NEMA_2C_CompressionStepPointers;
	static const Tag ACR_NEMA_2C_RepeatInterval;
	static const Tag ACR_NEMA_2C_BitsGrouped;
	static const Tag ACR_NEMA_2C_PerimeterTable;
	static const Tag ACR_NEMA_2C_PerimeterValue;
	static const Tag ACR_NEMA_2C_PredictorRows;
	static const Tag ACR_NEMA_2C_PredictorColumns;
	static const Tag ACR_NEMA_2C_PredictorConstants;
	static const Tag ACR_NEMA_2C_BlockedPixels;
	static const Tag ACR_NEMA_2C_BlockRows;
	static const Tag ACR_NEMA_2C_BlockColumns;
	static const Tag ACR_NEMA_2C_RowOverlap;
	static const Tag ACR_NEMA_2C_ColumnOverlap;
	static const Tag ACR_NEMA_2C_TransformLabel;
	static const Tag ACR_NEMA_2C_TransformVersionNumber;
	static const Tag ACR_NEMA_2C_NumberOfTransformSteps;
	static const Tag ACR_NEMA_2C_SequenceOfCompressedData;
	static const Tag ACR_NEMA_2C_DetailsOfCoefficients;
	static const Tag ACR_NEMA_2C_RowsForNthOrderCoefficients;
	static const Tag ACR_NEMA_2C_ColumnsForNthOrderCoefficients;
	static const Tag ACR_NEMA_2C_CoefficientCoding;
	static const Tag ACR_NEMA_2C_CoefficientCodingPointers;
	static const Tag ACR_NEMA_2C_DCTLabel;
	static const Tag ACR_NEMA_2C_DataBlockDescription;
	static const Tag ACR_NEMA_2C_DataBlock;
	static const Tag ACR_NEMA_2C_NormalizationFactorFormat;
	static const Tag ACR_NEMA_2C_ZonalMapNumberFormat;
	static const Tag ACR_NEMA_2C_ZonalMapLocation;
	static const Tag ACR_NEMA_2C_ZonalMapFormat;
	static const Tag ACR_NEMA_2C_AdaptiveMapFormat;
	static const Tag ACR_NEMA_2C_CodeNumberFormat;
	static const Tag ACR_NEMA_2C_CodeLabel;
	static const Tag ACR_NEMA_2C_NumberOfTables;
	static const Tag ACR_NEMA_2C_CodeTableLocation;
	static const Tag ACR_NEMA_2C_BitsForCodeWord;
	static const Tag ACR_NEMA_2C_ImageDataLocation;
	static const Tag ACR_NEMA_2C_CodeTableGroupLength;
	static const Tag ACR_NEMA_2C_EscapeTriplet;
	static const Tag ACR_NEMA_2C_RunLengthTriplet;
	static const Tag ACR_NEMA_2C_HuffmanTableSize;
	static const Tag ACR_NEMA_2C_HuffmanTableTriplet;
	static const Tag ACR_NEMA_2C_ShiftTableSize;
	static const Tag ACR_NEMA_2C_ShiftTableTriplet;
	static const Tag ACR_NEMA_2C_ZonalMapGroupLength;
	static const Tag ACR_NEMA_2C_ZonalMap;
	static const Tag ACR_NEMA_2C_CoefficientsSDVN;
	static const Tag ACR_NEMA_2C_CoefficientsSDHN;
	static const Tag ACR_NEMA_2C_CoefficientsSDDN;
	static const Tag PerformedProcedureStepDiscontinuationReasonCodeSequence;
	static const Tag NumericValueQualifierCodeSequence;
	static const Tag ReferencedPerformedProcedureStepSequence;
	static const Tag ReferringPhysicianIdentificationSequence;
	static const Tag PhysiciansOfRecordIdentificationSequence;
	static const Tag PerformingPhysicianIdentificationSequence;
	static const Tag PhysiciansReadingStudyIdentificationSequence;
	static const Tag OperatorIdentificationSequence;
	static const Tag RequestingPhysicianIdentificationSequence;
	static const Tag ScheduledPerformingPhysicianIdentificationSequence;
	static const Tag IntendedRecipientsOfResultsIdentificationSequence;
	static const Tag PersonIdentificationCodeSequence;
	static const Tag PersonsAddress;
	static const Tag PersonsTelephoneNumbers;
	static const Tag ColumnAngulation;
	static const Tag BlockMountingPosition;
	static const Tag CompensatorDivergence;
	static const Tag CompensatorMountingPosition;
	static const Tag SourceToCompensatorDistance;
	static const Tag RETIRED_TemplateVersion;
	static const Tag RETIRED_TemplateLocalVersion;
	static const Tag RETIRED_TemplateExtensionFlag;
	static const Tag RETIRED_TemplateExtensionOrganizationUID;
	static const Tag RETIRED_TemplateExtensionCreatorUID;
	static const Tag RETIRED_DopplerSampleVolumeXPosition;
	static const Tag DopplerSampleVolumeXPosition;
	static const Tag RETIRED_DopplerSampleVolumeYPosition;
	static const Tag DopplerSampleVolumeYPosition;
	static const Tag RETIRED_TMLinePositionX0;
	static const Tag TMLinePositionX0;
	static const Tag RETIRED_TMLinePositionY0;
	static const Tag TMLinePositionY0;
	static const Tag RETIRED_TMLinePositionX1;
	static const Tag TMLinePositionX1;
	static const Tag RETIRED_TMLinePositionY1;
	static const Tag TMLinePositionY1;
	static const Tag EncryptedAttributesSequence;
	static const Tag EncryptedContentTransferSyntaxUID;
	static const Tag EncryptedContent;
	static const Tag ModifiedAttributesSequence;
	static const Tag ReceiveCoilName;
	static const Tag TransmitCoilName;
	static const Tag FrameType;
	static const Tag ReferencedRawDataSequence;
	static const Tag CreatorVersionUID;
	static const Tag DerivationImageSequence;
	static const Tag ReferringImageEvidenceSequence;
	static const Tag SourceImageEvidenceSequence;
	static const Tag PixelPresentation;
	static const Tag VolumetricProperties;
	static const Tag VolumeBasedCalculationTechnique;
	static const Tag ComplexImageComponent;
	static const Tag AcquisitionContrast;
	static const Tag DerivationCodeSequence;
	static const Tag ReferencedGrayscalePresentationStateSequence;
	static const Tag ContentQualification;
	static const Tag PulseSequenceName;
	static const Tag MRImagingModifierSequence;
	static const Tag EchoPulseSequence;
	static const Tag InversionRecovery;
	static const Tag FlowCompensation;
	static const Tag MultipleSpinEcho;
	static const Tag MultiPlanarExcitation;
	static const Tag PhaseContrast;
	static const Tag TimeOfFlightContrast;
	static const Tag Spoiling;
	static const Tag SteadyStatePulseSequence;
	static const Tag EchoPlanarPulseSequence;
	static const Tag TagAngleFirstAxis;
	static const Tag MagnetizationTransfer;
	static const Tag T2Preparation;
	static const Tag BloodSignalNulling;
	static const Tag SaturationRecovery;
	static const Tag SpectrallySelectedSuppression;
	static const Tag SpectrallySelectedExcitation;
	static const Tag SpatialPreSaturation;
	static const Tag Tagging;
	static const Tag OversamplingPhase;
	static const Tag TagSpacingFirstDimension;
	static const Tag GeometryOfKSpaceTraversal;
	static const Tag SegmentedKSpaceTraversal;
	static const Tag RectilinearPhaseEncodeReordering;
	static const Tag TagThickness;
	static const Tag PartialFourierDirection;
	static const Tag GatingSynchronizationTechnique;
	static const Tag ReceiveCoilManufacturerName;
	static const Tag MRReceiveCoilSequence;
	static const Tag ReceiveCoilType;
	static const Tag QuadratureReceiveCoil;
	static const Tag MultiCoilDefinitionSequence;
	static const Tag MultiCoilConfiguration;
	static const Tag MultiCoilElementName;
	static const Tag MultiCoilElementUsed;
	static const Tag MRTransmitCoilSequence;
	static const Tag TransmitCoilManufacturerName;
	static const Tag TransmitCoilType;
	static const Tag SpectralWidth;
	static const Tag ChemicalShiftReference;
	static const Tag VolumeLocalizationTechnique;
	static const Tag MRAcquisitionFrequencyEncodingSteps;
	static const Tag Decoupling;
	static const Tag DecoupledNucleus;
	static const Tag DecouplingFrequency;
	static const Tag DecouplingMethod;
	static const Tag DecouplingChemicalShiftReference;
	static const Tag KSpaceFiltering;
	static const Tag TimeDomainFiltering;
	static const Tag NumberOfZeroFills;
	static const Tag BaselineCorrection;
	static const Tag CardiacRRIntervalSpecified;
	static const Tag AcquisitionDuration;
	static const Tag FrameAcquisitionDatetime;
	static const Tag DiffusionDirectionality;
	static const Tag DiffusionGradientDirectionSequence;
	static const Tag ParallelAcquisition;
	static const Tag ParallelAcquisitionTechnique;
	static const Tag InversionTimes;
	static const Tag MetaboliteMapDescription;
	static const Tag PartialFourier;
	static const Tag EffectiveEchoTime;
	static const Tag ChemicalShiftSequence;
	static const Tag CardiacSignalSource;
	static const Tag DiffusionBValue;
	static const Tag DiffusionGradientOrientation;
	static const Tag VelocityEncodingDirection;
	static const Tag VelocityEncodingMinimumValue;
	static const Tag NumberOfKSpaceTrajectories;
	static const Tag CoverageOfKSpace;
	static const Tag SpectroscopyAcquisitionPhaseRows;
	static const Tag ParallelReductionFactorInPlane;
	static const Tag TransmitterFrequency;
	static const Tag ResonantNucleus;
	static const Tag FrequencyCorrection;
	static const Tag MRSpectroscopyFOVGeometrySequence;
	static const Tag SlabThickness;
	static const Tag SlabOrientation;
	static const Tag MidSlabPosition;
	static const Tag MRSpatialSaturationSequence;
	static const Tag MRTimingAndRelatedParametersSequence;
	static const Tag MREchoSequence;
	static const Tag MRModifierSequence;
	static const Tag MRDiffusionSequence;
	static const Tag CardiacTriggerSequence;
	static const Tag MRAveragesSequence;
	static const Tag MRFOVGeometrySequence;
	static const Tag SpectroscopyAcquisitionDataColumns;
	static const Tag VolumeLocalizationSequence;
	static const Tag DiffusionAnisotropyType;
	static const Tag FrameReferenceDatetime;
	static const Tag MetaboliteMapSequence;
	static const Tag ParallelReductionFactorOutOfPlane;
	static const Tag SpectroscopyAcquisitionOutOfPlanePhaseSteps;
	static const Tag BulkMotionStatus;
	static const Tag ParallelReductionFactorSecondInPlane;
	static const Tag CardiacBeatRejectionTechnique;
	static const Tag RespiratoryMotionCompensation;
	static const Tag RespiratorySignalSource;
	static const Tag BulkMotionCompensationTechnique;
	static const Tag BulkMotionSignal;
	static const Tag ApplicableSafetyStandardAgency;
	static const Tag ApplicableSafetyStandardVersion;
	static const Tag OperationModeSequence;
	static const Tag OperatingModeType;
	static const Tag OperationMode;
	static const Tag SpecificAbsorptionRateDefinition;
	static const Tag GradientOutputType;
	static const Tag SpecificAbsorptionRateValue;
	static const Tag GradientOutput;
	static const Tag FlowCompensationDirection;
	static const Tag TaggingDelay;
	static const Tag ChemicalShiftsMinimumIntegrationLimit;
	static const Tag ChemicalShiftsMaximumIntegrationLimit;
	static const Tag MRVelocityEncodingSequence;
	static const Tag FirstOrderPhaseCorrection;
	static const Tag WaterReferencedPhaseCorrection;
	static const Tag MRSpectroscopyAcquisitionType;
	static const Tag RespiratoryMotionStatus;
	static const Tag VelocityEncodingMaximumValue;
	static const Tag TagSpacingSecondDimension;
	static const Tag TagAngleSecondAxis;
	static const Tag FrameAcquisitionDuration;
	static const Tag MRImageFrameTypeSequence;
	static const Tag MRSpectroscopyFrameTypeSequence;
	static const Tag MRAcquisitionPhaseEncodingStepsInPlane;
	static const Tag MRAcquisitionPhaseEncodingStepsOutOfPlane;
	static const Tag SpectroscopyAcquisitionPhaseColumns;
	static const Tag CardiacMotionStatus;
	static const Tag SpecificAbsorptionRateSequence;
	static const Tag StackID;
	static const Tag InStackPositionNumber;
	static const Tag FrameAnatomySequence;
	static const Tag FrameLaterality;
	static const Tag FrameContentSequence;
	static const Tag PlanePositionSequence;
	static const Tag PlaneOrientationSequence;
	static const Tag TemporalPositionIndex;
	static const Tag TriggerDelayTime;
	static const Tag FrameAcquisitionNumber;
	static const Tag DimensionIndexValues;
	static const Tag FrameComments;
	static const Tag ConcatenationUID;
	static const Tag InConcatenationNumber;
	static const Tag InConcatenationTotalNumber;
	static const Tag DimensionOrganizationUID;
	static const Tag DimensionIndexPointer;
	static const Tag FunctionalGroupSequencePointer;
	static const Tag DimensionIndexPrivateCreator;
	static const Tag DimensionOrganizationSequence;
	static const Tag DimensionSequence;
	static const Tag ConcatenationFrameOffsetNumber;
	static const Tag FunctionalGroupPrivateCreator;
	static const Tag DataPointRows;
	static const Tag DataPointColumns;
	static const Tag SignalDomain;
	static const Tag LargestMonochromePixelValue;
	static const Tag DataRepresentation;
	static const Tag PixelMatrixSequence;
	static const Tag FrameVOILUTSequence;
	static const Tag PixelValueTransformationSequence;
	static const Tag SignalDomainRows;
	static const Tag RealWorldValueMappingSequence;
	static const Tag LUTLabel;
	static const Tag RealWorldValueLUTLastValueMapped;
	static const Tag RealWorldValueLUTData;
	static const Tag RealWorldValueLUTFirstValueMapped;
	static const Tag RealWorldValueIntercept;
	static const Tag RealWorldValueSlope;
	static const Tag SharedFunctionalGroupsSequence;
	static const Tag PerFrameFunctionalGroupsSequence;
	static const Tag FirstOrderPhaseCorrectionAngle;
	static const Tag SpectroscopyData;
};

} }

#endif
